summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authordavor <vorgrimmlerdavid@gmx.de>2012-08-16 18:37:19 +0200
committerdavor <vorgrimmlerdavid@gmx.de>2012-08-16 18:37:19 +0200
commitaacfb17ad2a0102ad6db68d4aa1e231ab1d47944 (patch)
tree69597a66ee0a700a745da62bc854121da28fae72
parentf38f972b898686d148b46f1bfc2066baf9f1ca93 (diff)
Added task 4S backbone.
-rwxr-xr-xbin/task-install21
1 files changed, 5 insertions, 16 deletions
diff --git a/bin/task-install b/bin/task-install
index 866406f..1324a35 100755
--- a/bin/task-install
+++ b/bin/task-install
@@ -30,11 +30,8 @@ RUBY_DIR="$HOME/.rbenv/versions/$RUBY_NUM_VER"
# # # Install
-LOG="$OT_PREFIX/tmp/`basename $0`.log"
check_utils "rbenv find"
-echo
-echo "Installation ('$LOG'):"
-echo
+check_log $SELF
if [ "$OT_BRANCH" = "development" ]; then
cmd="test -d $OT_PREFIX/opentox-server" && run_cmd "$cmd" "Opentox-server"
@@ -52,22 +49,14 @@ fi
echo
install_with_bundler
+cmd="$OT_PREFIX/4S/bin/4s-backend-setup $SELF" && run_cmd "$cmd" "Create '$SELF' 4store backend"
+
# config
[ -f $OT_CONFIG_DIR/config/$SELF.rb ] || touch $OT_CONFIG_DIR/config/$SELF.rb
+if ! cat "$OT_CONFIG_DIR/config/$SELF.rb" | grep "four_store">/dev/null 2>&1; then echo '$four_store = { :uri => "http://localhost:9086", :user => "", :password => "" }' >> $OT_CONFIG_DIR/config/$SELF.rb; fi
if ! cat "$OT_DEFAULT_CONF" | grep "$SELF">/dev/null 2>&1; then echo '$task = { :uri => "http://localhost:8086/task" }' >> $OT_DEFAULT_CONF; fi
-
-echo
-echo "Installation finished."
-echo
-echo "IMPORTANT: How to configure your system:"
-echo "IMPORTANT: a) Include '$OT_UI_CONF' in shell startup (e.g. ~/.bashrc)."
-echo "IMPORTANT: b) Manually source '$OT_UI_CONF' every time."
-echo "IMPORTANT: The command in both cases: '. $OT_UI_CONF'"
-echo "IMPORTANT: NOW would be the best time to configure!"
-echo
-echo "Thank you for your attention."
-echo
+notify
# return to wd
cd "$DIR"